Bug 691148 - portaudio in Fedora is 3 years old. please update in time for F15
portaudio in Fedora is 3 years old. please update in time for F15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: portaudio (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-27 00:13 EDT by John Brier
Modified: 2013-08-14 19:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: portaudio-19-11.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-31 15:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Brier 2011-03-27 00:13:32 EDT
Description of problem:

I use Mixxx which uses portaudio and the version of portaudio in Fedora (even in F15 Rawhide) is based on the latest stable upstream which is (unfortunately) from 2007 and has a bug which causes Mixxx audio to hang:

https://bugs.launchpad.net/ubuntu/+source/portaudio/+bug/383431

Version-Release number of selected component (if applicable):

portaudio-19-9.fc12

but I assume the F15 Rawhide will have the same problem as both are built from upstream package v19_20071207

If we are going to rebuild this package, we might as well rebuild it with different source..

http://koji.fedoraproject.org/koji/buildinfo?buildID=226849


How reproducible: 

very reproducible


Steps to Reproduce:

1. Install Mixxx 1.9 from my RPM http://people.redhat.com/~jbrier/mixxx/mixxx-1.9.0-1.fc14.x86_64.rpm

2. load a track into one of the decks, play it, then load another track and mix into that and out of the original. pause the first track and load another mp3 into that deck 

3.repeat this sequence until sound stops
  
Actual results:

sound stops

Expected results:

sound doesn't stop

Additional info:

I was able to make this problem go away by building and installing my own RPM using a daily snapshot from March 25th from portaudio's website. (the stable release candidate 'pa_stable_candidate_v19_20110317.tgz' had a problem with the MakeFile so I didn't use it) 

Try my RPM and then redo the reproducer above. It should work

http://people.redhat.com/~jbrier/portaudio/portaudio-19-10.fc14.x86_64.rpm

Here is the source RPM

http://people.redhat.com/~jbrier/portaudio/portaudio-19-10.fc14.src.rpm
Comment 1 Hans de Goede 2011-03-28 04:03:43 EDT
Thanks for the bug reported. I've prepared an updated package and build it for F-15 rawhide, it should show up in updates-testing soon. Please give it some karma if it works for you.
Comment 2 Fedora Update System 2011-03-28 04:04:19 EDT
portaudio-19-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/portaudio-19-11.fc15
Comment 3 John Brier 2011-03-28 21:33:49 EDT
Thank you Hans. I have added a comment to the link you posted. Hopefully it added karma to the package.
Comment 4 Fedora Update System 2011-03-28 23:32:31 EDT
Package portaudio-19-11.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing portaudio-19-11.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/portaudio-19-11.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-31 15:59:42 EDT
portaudio-19-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-06-12 13:16:21 EDT
portaudio-19-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/portaudio-19-11.fc14
Comment 7 Fedora Update System 2011-07-01 15:02:28 EDT
portaudio-19-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.